Bug 1314096 - krb5: Clean up SELinux support
krb5: Clean up SELinux support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robbie Harwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 17:37 EST by Robbie Harwood
Modified: 2016-10-20 20:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-20 20:14:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robbie Harwood 2016-03-02 17:37:41 EST
In the interests of readability, the SELinux patch needs cleaning.  This will almost certainly also be needed if we ever offer this to upstream again.

As an example of what I mean, the push_fscreatecon() function was examined as part of https://bugzilla.redhat.com/show_bug.cgi?id=1309730 and has proven very difficult to reason about in its present form: https://github.com/frozencemetery/krb5_fedora/blob/f1cb770b53923018ec6c35e981d160db219286f9/krb5-1.13-selinux-label.patch#L612-L633
Comment 1 Jan Kurik 2016-07-26 00:58:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 2 Robbie Harwood 2016-10-20 20:14:04 EDT
I can't wait any longer for this fix; doing it myself.

Note You need to log in before you can comment on or make changes to this bug.